module Itunes
  @queue = "preview_url"
  
  def self.perform(playlist_id)
    
    playlist = Song.get_playlist(playlist_id)
  
    # Check for iTunes data for each track
    playlist.each do |song|
      itunes_data = get_itunes_data(song.title, song.artist, song.album)
      unless itunes_data.nil?
        song.update(:preview_url => itunes_data['previewUrl'])
      end
    end
  end 
end
