require File.dirname(__FILE__) + '/spec_helper'

describe Song do
  
  it "has a title" do
    s = Song.new(:title => "Rock You Like A Hurricane")
    s.title.should == "Rock You Like A Hurricane"
  end

  it "has an album name" do
    s = Song.new(:album => "Love at First Sting")
    s.album.should == "Love at First Sting"
  end

  it "has an artist name" do
    s = Song.new(:artist => "Scorpion")
    s.artist.should == "Scorpion"
  end

  it "belongs to a playlist" do
    s = Song.new
    p = PlayList.new
    s.play_list = p
    s.play_list.should == p
  end

end
